Bug 517467

Summary: spacewalk-repo-sync: --label shouldn't be mandatory
Product: [Community] Spacewalk Reporter: Sandro Mathys <sandro>
Component: ServerAssignee: Justin Sherrill <jsherril>
Status: CLOSED CURRENTRELEASE QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: medium Docs Contact:
Priority: low    
Version: 0.6CC: jsherril
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-05 14:57:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 559281    

Description Sandro Mathys 2009-08-14 08:25:54 UTC
Right now, one has to specify --label together with --channel in order to sync a channel. It should be possible to only specify --channel to sync all repos (i.e. in 0.6. the only repo) of a certain channel.

Comment 1 Justin Sherrill 2010-04-14 19:15:57 UTC
Actually this has already been fixed.  In 0.9 --label isn't required.

-Justin

Comment 2 Miroslav Suchý 2010-05-05 14:57:14 UTC
This bug has been fixed in Spacewalk 1.0.
Closing.